10 CLS:PRINT "THIS PROGRAM PRINTS A CHARGE-VELOCITY TABLE, BASED ON ANALYSIS OF VELOCITIES"
20 PRINT "OBTAINED BY CHRONOGRAPHING TWO OR MORE SPECIFIC CHARGE WEIGHTS, BY STATISTICAL"
30 PRINT "LINEAR-REGRESSION ANALYSIS OF THE OBSERVED CHARGE-VELOCITY DATA.": PRINT ""
40 PRINT TAB(16)"CONSTRUCT CHARGE-VELOCITY TABLE"
50 PRINT TAB(21)"FROM CHRONOGRAPH DATA":REM CODE'CVTABL'
60 PRINT" "
70 REM  WRITTEN BY WM. C. DAVIS, JR. - 5/10/82 - REV 11/11/84,07/15/87,05/08/88
80 PRINT TAB(14)"COPYRIGHT 1982 BY WM. C. DAVIS, JR.":PRINT ""
90 INPUT"CARTRIDGE NAME:";C$
100 INPUT "GUN TYPE & BARREL LENGTH:";G$
110 INPUT"BULLET WEIGHT & TYPE:";B$
120 INPUT"CASE TYPE:";K$
130 INPUT"PRIMER TYPE:";P$
140 INPUT"CARTRIDGE OVERALL LENGTH (INS):";L$
150 PRINT "THE TABLE WILL SHOW SEVEN INCREMENTED VELOCITIES.":PRINT ""
160 INPUT "CHOOSE THE HIGHEST VELOCITY FOR TABLE:";VMAX
170 INPUT "CHOOSE THE LOWEST VELOCITY FOR TABLE:";VMIN
180 DVMIN=INT((VMAX-VMIN)/6)
190 PRINT "THE VELOCITY INCREMENT MUST BE AT LEAST ";DVMIN;" FPS."
200 INPUT "   WHAT INCREMENT DO YOU CHOOSE";DV:PRINT ""
210 V7=VMAX:V6=V7-DV:V5=V6-DV:V4=V5-DV:V3=V4-DV:V2=V3-DV:V1=V2-DV
220 INPUT"COPY HEADINGS (1=YES 2=NO)?";Q1
230 IF Q1=1 THEN GOSUB 490
240 GOSUB 630:REM INPUT CHRONO DATA, FIT LEAST-SQUARES CV LINE
250 INPUT"LOWEST VELOCITY RECOMMENDED FOR THIS POWDER?";VL
260 INPUT"HIGHEST VELOCITY RECOMMENDED FOR THIS POWDER?";VH
270 C1=(V1-A)/B:IF V1<VL THEN C1=0
280 C2=(V2-A)/B:IF V2<VL OR V2>VH THEN C2=0
290 C3=(V3-A)/B:IF V3<VL OR V3>VH THEN C3=0
300 C4=(V4-A)/B:IF V4<VL OR V4>VH THEN C4=0
310 C5=(V5-A)/B:IF V5<VL OR V5>VH THEN C5=0
320 C6=(V6-A)/B:IF V6<VL OR V6>VH THEN C6=0
330 C7=(V7-A)/B:IF V7<VL OR V7>VH THEN C7=0
340 PRINT"POWDER";TAB(11);V1;TAB(19);V2;TAB(27);V3;TAB(35);V4;TAB(43);V5;TAB(51);V6;TAB(59);V7
350 PRINT T$;TAB(11);:IF C1=0 THEN PRINT " NR";ELSE PRINT USING "###.#";C1;
360 PRINT TAB(19);:IF C2=0 THEN PRINT " NR";ELSE PRINT USING "###.#";C2;
370 PRINT TAB(27);:IF C3=0 THEN PRINT " NR";ELSE PRINT USING "###.#";C3;
380 PRINT TAB(35);:IF C4=0 THEN PRINT " NR";ELSE PRINT USING "###.#";C4;
390 PRINT TAB(43);:IF C5=0 THEN PRINT " NR";ELSE PRINT USING "###.#";C5;
400 PRINT TAB(51);:IF C6=0 THEN PRINT " NR";ELSE PRINT USING "###.#";C6;
410 PRINT TAB(59);:IF C7=0 THEN PRINT " NR" ELSE PRINT USING "###.#";C7
420 INPUT"COPY THIS (1=YES 2=NO)";Q2
430 IF Q2=1 THEN GOSUB 550
440 PRINT "WHAT NEXT?":PRINT "1=ANOTHER POWDER":PRINT "2=NEW TABLE":PRINT "3=END PROGRAM"
450 INPUT QN
460 IF QN=1 THEN GOTO 240
470 IF QN=2 THEN GOTO 90
480 CLEAR:CLS:RUN "MENU.BAS"
490 LPRINT" ":LPRINT"CARTRIDGE:";C$;TAB(31);"BULLET:";B$
500 LPRINT"CASE:";K$;TAB(16);"PRIMER:";P$;TAB(31);"OAL:";L$;TAB(46);"BARREL TYPE:";G$
510 LPRINT"---------------------------------------------------------------------"
520 LPRINT"POWDER";TAB(11);V1;TAB(19);V2;TAB(27);V3;TAB(35);V4;TAB(43);V5;TAB(51);V6;TAB(59);V7
530 LPRINT"---------------------------------------------------------------------"
540 RETURN
550 LPRINT T$;:LPRINT TAB(11);:IF C1=0 THEN LPRINT "NR";ELSE LPRINT USING "###.#";C1;
560 LPRINT TAB(19);:IF C2=0 THEN LPRINT " NR";ELSE LPRINT USING "###.#";C2;
570 LPRINT TAB(27);:IF C3=0 THEN LPRINT " NR";ELSE LPRINT USING "###.#";C3;
580 LPRINT TAB(35);:IF C4=0 THEN LPRINT " NR";ELSE LPRINT USING "###.#";C4;
590 LPRINT TAB(43);:IF C5=0 THEN LPRINT " NR";ELSE LPRINT USING "###.#";C5;
600 LPRINT TAB(51);:IF C6=0 THEN LPRINT " NR";ELSE LPRINT USING "###.#";C6;
610 LPRINT TAB(59);:IF C7=0 THEN LPRINT " NR" ELSE LPRINT USING "###.#";C7
620 RETURN
630 REM *** LEAST-SQUARES FIT TO LINEAR DATA ***
640 INPUT"POWDER TYPE";T$
650 INPUT"HOW MANY CHARGE WEIGHTS HAVE BEEN TESTED FOR VELOCITY";N
660 FOR P=1 TO N
670 PRINT"CHARGE ";P;
680 INPUT C(P)
690 PRINT"VELOCITY ";P;
700 INPUT V(P)
710 NEXT P
720 FOR P=1 TO N
730 SC=SC+C(P):REM SUMMATION C
740 SV=SV+V(P):REM SUMMATION V
750 QC=QC+C(P)^2:REM SUMMATION OF SQUARED C
760 SS=SS+(C(P)*V(P)):REM SUMMATION PRODUCTS X*Y
770 NEXT P
780 A=(SV*QC-SC*SS)/(N*QC-SC^2)
790 B=(N*SS-SC*SV)/(N*QC-SC^2)
800 V=A+B*C
810 FOR P=1 TO N
820 V(P)=0:C(P)=0:REM REINITIALIZE CHARGES & VELOCITIES
830 NEXT P
840 SC=0:SV=0:QC=0:SS=0:REM REINITIALIZE OTHER VARIABLES THIS ROUTINE
850 RETURN
