10 CLS:PRINT TAB(5);"** CODE 'ESTBC' - COPYRIGHT 1987 BY WM. C. DAVIS, JR. **":PRINT "":REM REV 05/09/88
20 PRINT "THIS PROGRAM CALCULATES THE SECTIONAL DENSITY AND ESTIMATES THE"
30 PRINT "BALLISTIC COEFFICIENT (C1) OF A BULLET, FROM INFORMATION THAT YOU"
40 PRINT "PROVIDE ABOUT THE DIAMETER, WEIGHT AND SHAPE OF THE NOSE. FIVE"
50 PRINT "DIFFERENT DESCRIPTIONS OF NOSE SHAPE ARE GIVEN, AND YOU DECIDE WHICH"
60 PRINT "ONE OF THE FIVE BEST DESCRIBES YOUR BULLET. OF COURSE THERE ARE MANY"
70 PRINT "DIFFERENT SHAPES REPRESENTED AMONG THE HUNDREDS OF DIFFERENT BULLETS"
80 PRINT "THAT MIGHT BE USED, BUT SMALL DIFFERENCES IN SHAPE CANNOT BE TAKEN"
90 PRINT "INTO ACCOUNT EXCEPT BY MAKING DETAILED MEASUREMENTS, SUCH AS THOSE"
100 PRINT "MADE ON AN OPTICAL COMPARATOR, OF THE BULLET PROFILE. THEREFORE, THIS"
110 PRINT "PROGRAM PROVIDES AN APPROXIMATION OF THE BALLISTIC COEFFICIENT THAT"
120 PRINT "WILL NOT AGREE PRECISELY WITH THE PUBLISHED BALLISTIC COEFFICIENTS"
130 PRINT "FOR THE HUNDREDS OF SLIGHTLY DIFFERENT BULLETS THAT MIGHT BE USED."
140 PRINT "THE ESTIMATE IS USEFUL FOR COMPARING BALLISTIC COEFFICIENTS OF"
150 PRINT "BULLETS HAVING THE SAME SHAPE BUT DIFFERENT WEIGHTS OR CALIBERS,"
160 PRINT "AND IT IS SUFFICIENTLY ACCURATE FOR CALCULATING TRAJECTORY DATA"
170 PRINT "OVER MODERATE RANGES, USING BULLETS FOR WHICH PUBLISHED BALLISTIC"
180 PRINT "COEFFICIENTS ARE NOT AVAILABLE.":PRINT ""
190 INPUT "BULLET DIAMETER (INCH):";DB
200 INPUT "BULLET WEIGHT (GRAINS):";WG
210 PRINT "HOW WOULD YOU DESCRIBE THE SHAPE?"
220 PRINT "   1=LONG-NOSE SPITZER RIFLE BULLETS"
230 PRINT "   2=SEMI-POINTED RIFLE BULLETS"
240 PRINT "   3=BLUNT ROUND-NOSE & FLAT-NOSE BULLETS"
250 PRINT "   4=LARGE FLAT NOSE & SEMI-WADCUTTER"
260 PRINT "   5=WADCUTTERS"
270 INPUT QSH
280 IF QSH<>1 AND QSH<>2 AND QSH<>3 AND QSH<>4 AND QSH<>5 THEN PRINT "TRY AGAIN":GOTO 200
290 IF QSH=1 THEN I=.65
300 IF QSH=2 THEN I=.75
310 IF QSH=3 THEN I=1
320 IF QSH=4 THEN I=1.4
330 IF QSH=5 THEN I=3
340 SD=WG/(7000*DB^2):C1=INT(100*SD/I)/100
350 PRINT "THE SECTIONAL DENSITY IS:";TAB(50);:PRINT USING ".###";SD
360 PRINT "THE BALLISTIC COEFFICIENT (C1) IS APPROXIMATELY ";TAB(50);:PRINT USING ".###";C1:PRINT ""
370 INPUT "COPY THIS? (1=YES  2=NO)";QC
380 IF QC<>1 THEN GOTO 500
390 LPRINT "BULLET DIAMETER (INCH):";TAB(50);DB
400 LPRINT "BULLET WEIGHT (GRAINS):";TAB(50);WG
410 LPRINT "NOSE SHAPE - ";
420 IF QSH=1 THEN LPRINT "LONG-NOSE SPITZER"
430 IF QSH=2 THEN LPRINT "SEMI-POINTED"
440 IF QSH=3 THEN LPRINT "BLUNT ROUND-NOSE OR FLAT-NOSE"
450 IF QSH=4 THEN LPRINT "LARGE FLAT NOSE, SWC OR ROUND BALL"
460 IF QSH=5 THEN LPRINT "WADCUTTER"
470 LPRINT ""
480 LPRINT "THE SECTIONAL DENSITY (LB/IN^2):";TAB(50);:LPRINT USING ".###";SD
490 LPRINT "THE APPROXIMATE BALLISTIC COEFFICIENT (C1):";TAB(50);:LPRINT USING ".###";C1:LPRINT""
500 PRINT "WHAT NEXT?"
510 PRINT "   1=DIFFERENT SHAPE, SAME WEIGHT, SAME CALIBER"
520 PRINT "   2=DIFFERENT SHAPE, DIFFERENT WEIGHT, SAME CALIBER"
530 PRINT "   3=DIFFERENT SHAPE, DIFFERENT WEIGHT, DIFFERENT CALIBER"
540 PRINT "   4=END THIS PROGRAM"
550 INPUT QN
560 IF QN=1 THEN GOTO 210
570 IF QN=2 THEN GOTO 200
580 IF QN=3 THEN GOTO 190
590 CLEAR:CLS:RUN "MENU.BAS"
600 END
