10 CLS:REM *** CODE 'TGSTAT2' - REV O9/25/83, 05/08/88 ***
20 PRINT"*** PREDICT EXTREME SPREADS FOR DIFFERENT NUMBERS OF SHOTS PER GROUP ***":PRINT""
30 PRINT TAB(11)"COPYRIGHT 1983 BY WM. C. DAVIS, JR. - CODE 'TGSTAT2'":PRINT""
40 PRINT "THE EXTREME SPREAD OF A GROUP OF SHOTS DEPENDS QUITE STRONGLY ON THE NUMBER OF"
50 PRINT "SHOTS IN THE GROUP. THIS IS A STATISTICAL FACT, NOT RELATED TO PHYSICAL CHANGES"
60 PRINT "WHICH MIGHT OCCUR IN THE GUN, AMMUNITION, OR OTHER CHANGING CONDITIONS. IT IS"
70 PRINT "STATISTICALLY INVALID TO COMPARE THE AVERAGE EXTREME SPREAD OF 10-SHOT GROUPS"
80 PRINT "DIRECTLY WITH THE AVERAGE EXTREME SPREAD OF 5-SHOT OR 3-SHOT GROUPS, FOR"
90 PRINT "EXAMPLE. THIS PROGRAM ALLOWS YOU TO MAKE A VALID COMPARISON BETWEEN GROUPS"
100 PRINT "CONTAINING DIFFERENT NUMBERS OF SHOTS. GIVEN THE AVERAGE EXTREME SPREAD OF"
110 PRINT "GROUPS CONTAINING 'T' SHOTS EACH, THIS PROGRAM WILL PREDICT STATISTICALLY THE"
120 PRINT "EXPECTED AVERAGE EXTREME SPREAD OF GROUPS OF 'N' SHOTS EACH, UNDER THE SAME"
130 PRINT "CONDITIONS. THE NUMBERS OF SHOTS PER GROUP MAY BE FROM 2 TO 25.":PRINT ""
140 PRINT"ENTER TEST DATA:":PRINT ""
150 PRINT TAB(6)"NUMBER OF SHOTS PER GROUP:";
160 INPUT NT
170 IF NT<2 OR NT>25 THEN PRINT "THE NUMBER MUST BE FROM 2 TO 25":PRINT "":GOTO 140
180 RT=1.2777+1.07458*LOG(NT)
190 PRINT TAB(6)"AVERAGE EXTREME SPREAD:";
200 INPUT ET
210 PRINT" "
220 PRINT"FOR YOUR PREDICTED AVERAGE EXTREME SPREAD:":PRINT ""
230 PRINT TAB(6)"NUMBER OF SHOTS PER GROUP:";
240 INPUT NP
250 IF NP<2 OR NP>25 THEN PRINT "THE NUMBER MUST BE FROM 2 TO 25":PRINT "":GOTO 210
260 RP=1.2777+1.07458*LOG(NP)
270 EP=(RP/RT)*ET
280 PRINT TAB(6)"EXPECTED AVERAGE EXTREME SPREAD:";:PRINT USING "##.###";EP
290 PRINT" "
300 INPUT"COPY THIS? (1=YES  2=NO)";QA
310 PRINT" "
320 IF QA=1 THEN GOSUB 420
330 INPUT"ANOTHER PREDICTION FROM SAME TEST DATA (1=YES 2=NO)";QB
340 PRINT" "
350 IF QB=1 THEN GOTO 230
360 PRINT "WHAT NEXT?"
370 PRINT "   1=NEW TEST DATA"
380 PRINT "   2=END THIS PROGRAM"
390 INPUT QC
400 IF QC=1 THEN GOTO 140
410 CLEAR:CLS:RUN "MENU.BAS"
420 LPRINT"YOUR TEST DATA:"
430 LPRINT TAB(6)"NUMBER OF SHOTS PER TARGET:";TAB(51);NT
440 LPRINT TAB(6)"AVERAGE EXTREME SPREAD IN TEST:";TAB(51);:LPRINT USING "##.###";ET:LPRINT""
450 LPRINT"YOUR PREDICTION:"
460 LPRINT TAB(6)"NUMBER OF SHOTS PER TARGET:";TAB(51);NP
470 LPRINT TAB(6)"EXPECTED AVERAGE EXTREME SPREAD:";TAB(51);:LPRINT USING "##.###";EP:LPRINT"":RETURN
