10 CLS:PRINT"       *** ANALYSIS OF VELOCITY DATA  - CODE 'VSTAT12' ***":PRINT ""
20 REM ** WRITTEN 6/8/83 - REV 11/18/83, 08/30/87, 11/14/87, 07/31/88 **
30 PRINT TAB(13)"COPYRIGHT 1983 BY WM. C. DAVIS, JR."
40 PRINT ""
50 PRINT "THIS PROGRAM WILL ANALYZE THE VELOCITY DATA FROM ONE STRING OF"
60 PRINT "SHOTS, OR WILL ANALYZE AND COMPARE THE DATA FROM TWO DIFFERENT"
70 PRINT "STRINGS OF SHOTS. THE LIMITS ARE FROM 3 TO 20 SHOTS IN EACH STRING.":PRINT ""
80 PRINT "YOU WILL HAVE THE CHOICE OF ENTERING THE DATA ROUND-BY-ROUND, OR"
90 PRINT "ENTERING THE AVERAGE AND THE STANDARD DEVIATION FROM THE STRING."
100 PRINT "THE STANDARD DEVIATION ENTERED MUST BE THE UNBIASED ESTIMATE OF THE"
110 PRINT "'POPULATION' STANDARD DEVIATION. CHRONOGRAPHS USUALLY COMPUTE THE"
120 PRINT "UNBIASED ESTIMATE, WHICH CAN BE USED IN THIS PROGRAM.":PRINT ""
130 PRINT "IF YOU WISH TO COMPARE TWO DIFFERENT STRINGS OF SHOTS, THEN BOTH"
140 PRINT "OF THE STRINGS MUST CONTAIN THE SAME NUMBER OF SHOTS, WHICH MAY BE"
150 PRINT "ANY NUMBER FROM 3 TO 20.":PRINT ""
160 PRINT "WHAT IS YOUR CHOICE:":PRINT "   1=ANALYZE ONE STRING OF SHOTS":PRINT "   2=ANALYZE AND COMPARE TWO STRINGS OF SHOTS":INPUT QS
170 IF QS<>1 AND QS<>2 THEN PRINT "TRY AGAIN":GOTO 160
180 INPUT"HOW MANY ROUNDS IN THE SERIES";N:DIM V(N):PRINT" "
190 IF N<3 OR N>20 THEN PRINT "THE LIMITS ARE 3 TO 20 SHOTS":GOTO 180
200 GOSUB 1200:REM FIND CRITICAL VALUE OF T.975 FOR CONF LIMITS
210 PRINT "HOW WILL YOU ENTER DATA?":PRINT "   1=ROUND-BY-ROUND"
220 INPUT "   2=MEAN AND STANDARD DEVIATION";QA:PRINT ""
230 IF QA<>1 AND QA<>2 THEN PRINT "TRY AGAIN":GOTO 210
240 IF QA=1 THEN GOSUB 510:REM ROUTINE TO ENTER RD-BY-RD DATA
250 IF QA<>1 THEN GOSUB 1000:REM ROUTINE TO ENTER MEAN & STD DEV
260 CLS:PRINT"NUMBER OF ROUNDS IN THE SERIES:";TAB(51);N:PRINT ""
270 IF QS=2 THEN GOTO 290
280 PRINT "THE MEAN OF THE SERIES IS:";TAB(51);CINT(M1):GOTO 300
290 PRINT"MEAN OF THE FIRST SERIES:";TAB(51);CINT(M1)
300 PRINT "THE STD DEV (UNBIASED) IS:";TAB(51);CINT(D1)
310 PRINT "THERE IS 95% PROBABILITY THAT":PRINT "    THE TRUE AVERAGE FOR THIS LOAD IS:"
320 PRINT TAB(24);"NOT LESS THAN:";TAB(51);L1;"FPS"
330 PRINT TAB(25);"OR MORE THAN:";TAB(51);U1;"FPS":PRINT ""
340 PRINT "TYPICAL EXTREME VARIATION FOR 10 SHOTS IS:";TAB(51);CINT(3.078*D1):PRINT ""
350 IF QS=1 THEN GOTO 470
360 PRINT"MEAN OF THE SECOND SERIES:";TAB(51);CINT(M2)
370 PRINT"THE STD DEV (UNBIASED) IS:";TAB(51);CINT(D2)
380 PRINT "THERE IS 95% PROBABILITY THAT":PRINT "    THE TRUE AVERAGE FOR THIS LOAD IS:"
390 PRINT TAB(24);"NOT LESS THAN:";TAB(51);L2;"FPS"
400 PRINT TAB(25);"OR MORE THAN:";TAB(51);U2;"FPS":PRINT ""
410 PRINT "TYPICAL EXTREME VARIATION FOR 10 SHOTS IS:";TAB(51);CINT(3.078*D2):PRINT ""
420 INPUT"PRESS ENTER TO SEE UNIFORMITY COMPARISON.";Q$
430 CLS
440 IF CL>.99 THEN PRINT "CONFIDENCE THAT THE LOAD HAVING THE SMALLER STANDARD DEVIATION":PRINT " IS TRULY THE MORE UNIFORM IS ABOVE 99 PERCENT.":GOTO 470
450 IF CL<.8 THEN PRINT "CONFIDENCE THAT THE LOAD HAVING THE SMALLER STANDARD DEVIATION":PRINT " IS TRULY MORE UNIFORM IS LESS THAN 80 PERCENT.":GOTO 470
460 PRINT "CONFIDENCE THAT THE LOAD HAVING THE SMALLER STANDARD DEVIATION IS TRULY THE":PRINT " MORE UNIFORM  (PERCENT):";TAB(51);:PRINT USING "##";(100*CL):PRINT ""
470 GOSUB 1250
480 INPUT"WHAT NEXT? (1= ANOTHER RUN 2=END PROGRAM)";QB
490 IF QB=1 THEN CLS:RUN 160
500 CLEAR:CLS:RUN "MENU.BAS"
510 REM ** ROUTINE FOR ENTERING RD-BY-RD DATA **
520 INPUT"HARD COPY ON INDIVIDUAL ROUNDS? (1=YES 2=NO)";QQ:PRINT" "
530 IF QQ<>1 AND QQ<>2 THEN PRINT "TRY AGAIN":GOTO 520
540 IF QS=1 THEN PRINT "ENTER THE INDIVIDUAL ROUNDS"
550 IF QS=1 AND QQ=1 THEN LPRINT "THE INDIVIDUAL VELOCITIES:":LPRINT "":GOTO 580
560 PRINT "ENTER VELOCITIES FOR FIRST SERIES"
570 IF QQ=1 THEN LPRINT "VELOCITIES IN FIRST SERIES:":LPRINT" "
580 GOSUB 760:REM GO SUB FOR RD-BY-RD ENTRIES 1ST SERIES
590 M1=MV:REM MEAN VEL 1ST SERIES
600 S1=SS:REM SAMPLE SD 1ST SERIES
610 D1=SV:REM UNBIASED EST SD 1ST SERIES
620 U1=LU:REM UPPER LIMIT .95 CONF INT 1ST SERIES
630 L1=LL:REM LOWER LIMIT .95 CONF INT 1ST SERIES
640 IF QS=1 THEN GOTO 260
650 F=0:CL=0:ZV=0:QV=0:MV=0:MQ=0:SS=0:SV=0:LM=0:LU=0:LL=0:VV=0
660 PRINT"ENTER VELOCITIES FOR SECOND SERIES"
670 LPRINT" ":LPRINT" ":IF QQ=1 THEN LPRINT"VELOCITIES IN THE SECOND SERIES:":LPRINT" "
680 GOSUB 760:REM GO SUB FOR RD-BY-RD ENTRIES 2ND SERIES
690 M2=MV:REM MEAN VEL 2ND SERIES
700 S2=SS:REM SAMPLE SD 2ND SERIES
710 D2=SV:REM UNBIASED EST SD 2ND SERIES
720 U2=LU:REM UPPER LIMIT .95 CONF INT 2ND SERIES
730 L2=LL:REM LOWER LIMIT .95 CONF INT 2ND SERIES
740 IF S1>S2 THEN F=S1^2/S2^2 ELSE F=S2^2/S1^2:REM RATIO OF SAMPLE VARIANCES (F-RATIO)
750 GOTO 1600:REM FIND CONF LEVEL FOR SIGNIF DIFF VARIANCES
760 REM ** SUBROUTINE FOR RD-BY-RD DATA ENTRY **
770 FOR P=1 TO N
780 PRINT"NUMBER ";P;
790 INPUT V(P)
800 GOSUB 960:REM GO SUBSUB FOR RD-BY-RD DATA ENTRY
810 NEXT P
820 IF QQ<>1 THEN GOTO 870
830 FOR P=1 TO N
840 LPRINT V(P);
850 NEXT P
860 LPRINT" "
870 MV=ZV/N:REM MEAN VEL 
880 MQ=QV/N:REM MEAN SQUARED VEL 
890 SS=SQR(MQ-MV^2):REM SAMPLE SD 
900 SV=SS*SQR(N/(N-1)):REM EST POP SD
910 LM=TC*SS/(SQR(N-1)):REM HALF-INTERVAL FOR .95 CONF LIM
920 LU=INT(MV+LM+.5):REM UPPER LIMIT .95 CONF INTERVAL
930 LL=INT(MV-LM+.5):REM LOWER LIMIT .95 CONF INTERVAL
940 VV=SS^2:REM SAMPLE VARIANCE
950 RETURN
960 REM ** SUB SUB TO	 SUM VELOCITIES AND SQUARES **
970 ZV=ZV+V(P):REM SUM OF VELOCITIES
980 QV=QV+V(P)^2:REM SUM OF SQUARED VELOCITIES
990 RETURN
1000 REM ** ROUTINE FOR ENTERING MEAN AND STD DEV **
1010 IF QS=2 THEN GOTO 1040
1020 INPUT "ENTER THE MEAN OF THE SERIES";M1
1030 INPUT "ENTER THE STANDARD DEVIATION";D1:GOTO 1060
1040 INPUT"ENTER MEAN OF FIRST SERIES";M1
1050 INPUT"ENTER STANDARD DEVIATION FOR FIRST SERIES (UNBIASED)";D1
1060 S1=D1/SQR(N/(N-1)):REM SAMPLE SD OF 1ST SERIES
1070 LF=TC*S1/(SQR(N-1)):REM HALF-INTERVAL FOR .95 CONF LIM 1ST SERIES
1080 U1=INT(M1+LF):REM UPPER .95 CONF LIMIT FOR 1ST SERIES
1090 L1=INT(M1-LF):REM LOWER .95 CONF LIMIT FOR 1ST SERIES
1100 IF QS=1 THEN GOTO 1190
1110 INPUT"ENTER MEAN OF SECOND SERIES";M2
1120 INPUT"ENTER STANDARD DEVIATION FOR SECOND SERIES (UNBIASED)";D2
1130 S2=D2/SQR(N/(N-1)):REM SAMPLE SD OF 2ND SERIES
1140 IF S1>S2 THEN F=S1^2/S2^2 ELSE F=S2^2/S1^2:REM RATIO OF SAMPLE VARIANCES (F-RATIO)
1150 LS=TC*S2/(SQR(N-1)):REM HALF-INTERVAL FOR .95 CONF LIM 2ND SERIES
1160 U2=INT(M2+LS):REM UPPER .95 CONF LIMIT FOR 2ND SERIES
1170 L2=INT(M2-LS):REM LOWER .95 CONF LIMIT FOR 2ND SERIES
1180 GOSUB 1600:REM FIND CONFIDENCE LEVEL FOR DIFF VARIANCES
1190 RETURN
1200 REM ***  FIND CRITICAL VALUE OF T.975  ***
1210 M=N-1
1220 IF M=>1 AND M<=4 THEN TC=35.059-31.5136*M+10.27*M^2-1.10228*M^3:RETURN
1230 IF M>4 AND M<=9 THEN TC=1.871+3.48026/M:RETURN
1240 IF M>9 AND M<=20 THEN TC=1.9374+2.90221/M:RETURN
1250 REM ***   ROUTINE TO LPRINT RESULTS   ***
1260 INPUT"DO YOU WANT HARD COPY OF ANALYSIS? (1=YES  2=NO)";QP
1270 IF QP<>1 AND QP<>2 THEN PRINT "TRY AGAIN":GOTO 1260
1280 IF QP=2 THEN RETURN
1290 LPRINT" ":LPRINT" "
1300 IF QS=2 THEN GOTO 1390
1310 LPRINT "NUMBER OF ROUNDS IN THE SERIES:";TAB(51);N:LPRINT""
1320 LPRINT "MEAN OF THE SERIES:";TAB(51);CINT(M1)
1330 LPRINT "THE STD DEV (UNBIASED) IS:";TAB(51);CINT(D1):LPRINT ""
1340 LPRINT "THERE IS A 95% PROBABILITY THAT":LPRINT "   THE TRUE AVERAGE FOR THIS LOAD IS:"
1350 LPRINT TAB(24);"NOT LESS THAN:";TAB(51);L1;"FPS"
1360 LPRINT TAB(25);"OR MORE THAN:";TAB(51);U1;"FPS":LPRINT ""
1370 LPRINT "TYPICAL EXTREME VARIATION FOR 10 SHOTS IS:";TAB(51);CINT(3.078*D1):LPRINT ""
1380 RETURN
1390 LPRINT"NUMBER OF ROUNDS IN EACH SERIES:";TAB(51);N:LPRINT ""
1400 LPRINT"MEAN OF FIRST SERIES:";TAB(51);CINT(M1)
1410 LPRINT"STD DEV FOR 1ST SERIES (UNBIASED):";TAB(51);CINT(D1):LPRINT ""
1420 LPRINT "THERE IS A 95% PROBABILITY THAT":LPRINT "   THE TRUE AVERAGE FOR THIS LOAD IS:"
1430 LPRINT TAB(24);"NOT LESS THAN:";TAB(51);L1;"FPS"
1440 LPRINT TAB(25);"OR MORE THAN:";TAB(51);U1;"FPS":LPRINT ""
1450 LPRINT "TYPICAL EXTREME VARIATION FOR 10 SHOTS IS:";TAB(51);CINT(3.078*D1):LPRINT ""
1460 LPRINT"MEAN OF SECOND SERIES:";TAB(51);CINT(M2)
1470 LPRINT"STD DEV FOR 2ND SERIES (UNBIASED):";TAB(51);CINT(D2):LPRINT" "
1480 LPRINT "THERE IS A 95% PROBABILITY THAT":LPRINT "   THE TRUE AVERAGE FOR THIS LOAD IS:"
1490 LPRINT TAB(24);"NOT LESS THAN:";TAB(51);L2;"FPS"
1500 LPRINT TAB(25);"OR MORE THAN:";TAB(51);U2;"FPS":LPRINT ""
1510 LPRINT "TYPICAL EXTREME VARIATION FOR 10 SHOTS IS:";TAB(51);CINT(3.078*D2):LPRINT ""
1520 IF CL>.99 THEN LPRINT"CONFIDENCE THAT THE LOAD HAVING THE SMALLER STANDARD DEVIATION IS TRULY"
1530 IF CL>.99 THEN LPRINT"THE MORE UNIFORM IS GREATER THAN 99 PERCENT.":LPRINT:GOTO 1580
1540 IF CL<.8 THEN LPRINT"CONFIDENCE THAT THE LOAD HAVING THE SMALLER STANDARD DEVIATION IS TRULY"
1550 IF CL<.8 THEN LPRINT"THE MORE UNIFORM IS LESS THAN 80 PERCENT.":LPRINT:GOTO 1580
1560 LPRINT"CONFIDENCE THAT THE LOAD HAVING THE SMALLER STANDARD DEVIATION IS TRULY"
1570 LPRINT"THE MORE UNIFORM IS ";INT(100*CL+.5);"PERCENT":LPRINT" "
1580 QP=0
1590 RETURN
1600 REM *** FIND CONF LEVEL FOR SIGNIF DIFF BETW SAMPLE VARIANCES (3<=N<=20) ***
1610 A=.9494*.982^M*M^.1005
1620 B=(.2815*M^.6045)-1
1630 C=-.5464-.0386*M+1.004/M
1640 CL=A+B/F+C/F^2:RETURN
