10 CLS:PRINT "PROGRAM NAME 'MVFIV' - COPYRIGHT 1987 BY WM. C. DAVIS, JR."
20 PRINT "":REM ** WRITTEN 08/30/87 - REV 10/26/87 **
30 PRINT "THIS PROGRAM FINDS MUZZLE VELOCITY FROM THE INSTRUMENTAL VELOCITY"
40 PRINT "MEASURED BY A CHRONOGRAPH. THE CHRONOGRAPH SCREENS MAY BE UP TO"
50 PRINT "100 FEET FROM THE MUZZLE OF THE GUN. YOU MUST KNOW THE DISTANCES OF"
60 PRINT "THE SCREENS FROM THE MUZZLE, AND THE BALLISTIC COEFFICIENT (C1) OF"
70 PRINT "THE BULLET. IF YOU DO NOT KNOW THE BALLISTIC COEFFICIENT OF THE"
80 PRINT "BULLET, THE PROGRAM WILL COMPUTE AN APPROXIMATE VALUE FOR YOU.":PRINT""
90 INPUT "DISTANCE FROM MUZZLE TO 1ST SCREEN (FT):";D1:PRINT ""
100 INPUT "DISTANCE BETWEEN 1ST AND 2ND SCREENS (FT):";D2:PRINT ""
110 ID=D1+D2/2:REM INSTRUMENTAL DISTANCE
120 INPUT "DO YOU KNOW THE BALLISTIC COEFFICIENT OF THE BULLET? (1=YES 2=NO)";QB
130 IF QB<>1 AND QB<>2 THEN PRINT "TRY AGAIN":GOTO 120
140 IF QB<>1 THEN GOTO 280
150 INPUT "BALLISTIC COEFFICIENT (C1):";C1
160 INPUT "INSTRUMENTAL VELOCITY (FPS):";IV:M=IV/1116
170 GOSUB 460
180 DVDS=.0005217*K1*IV/C1:DV=ID*DVDS:MV=IV+DV
190 PRINT "RETARDATION, FPS:";TAB(30);:PRINT USING "##";DV
200 PRINT "MUZZLE VELOCITY, FPS:";TAB(30);:PRINT USING "####";MV:PRINT ""
210 INPUT "COPY THIS ? (1=YES 2=NO)";QC
220 IF QC<>1 THEN PRINT "":GOTO 240
230 LPRINT "C1=";:LPRINT USING ".###";C1;:LPRINT TAB(12);"RETARDATION =";:LPRINT USING "###";DV;:LPRINT " FPS";TAB(35);"IV =";IV;" FPS AT ";ID;"FT";TAB(63);"MV=";:LPRINT USING "####";MV
240 PRINT "WHAT NEXT?":PRINT "  1=NEW VELOCITY, SAME BULLET":PRINT "  2=NEW BULLET":INPUT "  3=END PROGRAM";QN:PRINT""
250 IF QN=1 THEN GOTO 160
260 IF QN=2 THEN GOTO 120
270 CLEAR:CLS:RUN "MENU.BAS"
280 INPUT "BULLET DIAMETER (INCH):";DB
290 INPUT "BULLET WEIGHT (GRAINS):";WG
300 PRINT "HOW WOULD YOU DESCRIBE THE SHAPE?"
310 PRINT "   1=LONG-NOSE SPITZER RIFLE BULLETS"
320 PRINT "   2=SEMI-POINTED RIFLE BULLETS"
330 PRINT "   3=BLUNT ROUND-NOSE & FLAT-NOSE BULLETS"
340 PRINT "   4=LARGE FLAT NOSE & SWC & ROUND BALL
350 PRINT "   5=WADCUTTERS"
360 INPUT QSH
370 IF QSH<>1 AND QSH<>2 AND QSH<>3 AND QSH<>4 AND QSH<>5 THEN PRINT "TRY AGAIN":GOTO 290
380 IF QSH=1 THEN I=.65
390 IF QSH=2 THEN I=.75
400 IF QSH=3 THEN I=1
410 IF QSH=4 THEN I=1.4
420 IF QSH=5 THEN I=3
430 SD=WG/(7000*DB^2):C1=INT(100*SD/I)/100
440 PRINT "C1 IS APPROXIMATELY ";:PRINT USING ".##";C1
450 GOTO 160
460 REM *** POLYNOMIALS FROM BRL R1336 ***
470 IF M=<.059 THEN K1=.099869208#:RETURN
480 IF M>.059 AND M<=.249 THEN K1=.092991951#+.27488882#*M-3.4642319#*M^2+14.469294#*M^3-20.951858#*M^4:RETURN
490 IF M>.249 AND M<=.839 THEN K1=.12061834#-.25104351#*M+.77422485#*M^2-1.2845148#*M^3+.83553257#*M^4:RETURN
500 IF M>.839 AND M<=1.069 THEN K1=-.060479641#+4.5757437#*M-14.35859#*M^2+15.444495#*M^3-5.4131483#*M^4:RETURN
510 IF M>1.069 AND M<=1.63 THEN K1=-5.2655688#+14.573805#*M-14.41555#*M^2+6.3472964#*M^3-1.0518008#*M^4:RETURN
520 IF M>1.63 AND M<=2.87 THEN K1=-.025251509#+.62823143#*M-.46416627#*M^2+.13537077#*M^3-.014020406#*M^4:RETURN
530 IF M>2.87 AND M<=3.91 THEN K1=1.0672197#-.9165249*M+.36667112#*M^2-.065823587#*M^3+.0044593727#*M^4:RETURN
540 IF M>3.91 AND M<=5! THEN K1=.18558444#+.033763944#*M-.018500767#*M^2+.0037071892#*M^3-.00025511889#*M^4:RETURN
550 IF M>5! THEN K1=((.43150287#+.39932718#*M)^2-1)/M^2:RETURN
