10 CLS:PRINT"FINDING ESTIMATED CONFIDENCE THAT AMMUNITION SAMPLE 'A' IS MORE ACCURATE THAN"
20 PRINT "SAMPLE 'B' FROM EXTREME SPREADS OF N TARGETS OF P SHOTS EACH. - NAME 'TGSTAT1'":PRINT "":REM WRITTEN 10/14/83, REV 05/08/88
30 PRINT TAB(10);" *** COPYRIGHT 1983 BY WM. C. DAVIS,JR. ***":PRINT""
40 PRINT"   1. NUMBER OF GROUPS WITH EACH SAMPLE MUST BE THE SAME."
50 PRINT"   2. NUMBER OF SHOTS PER GROUP MUST BE THE SAME.":PRINT" "
60 INPUT"NUMBER OF SHOTS PER GROUP";P
70 INPUT"NUMBER OF GROUPS IN EACH SAMPLE";N
80 GOSUB 690:REM FIND AVG EXTREME SPREAD
90 CV=.11+.812/P:REM COEFFICIENT OF VARIATION FOR P-SHOT GROUPS
100 GOSUB 610:REM FIND STATISTIC'T'
110 GOSUB 490:REM FIND PROBABILITY FROM CUM'T'-DISTRIBUTION
120 PP=INT(100*PR+.5)
130 IF PR<.51 THEN PP=50
140 IF PR>.99 THEN PP=99
150 PRINT"THE STATISTIC 'T' FOR THESE SAMPLES:";TAB(41);INT(1000*T+.5)/1000:PRINT" "
160 PRINT"PROBABILITY THAT  'A' IS MORE ACCURATE THAN  'B' (PCT): ";PP;
170 IF PR>.99 THEN PRINT"+"
180 PRINT" "
190 INPUT"COPY THIS? (1=YES 2=NO)";QQ
200 IF QQ<>1 THEN GOTO 390
210 LPRINT"NUMBER OF GROUPS PER SAMPLE:"TAB(41);N
220 LPRINT"NUMBER OF SHOTS PER GROUP:";TAB(41);P:LPRINT" "
230 LPRINT"THE GROUPS IN SAMPLE 'A':"
240 FOR K=1 TO N
250 IF M1=>M2 THEN LPRINT R(K); ELSE LPRINT L(K);
260 NEXT K
270 LPRINT" "
280 LPRINT"AVERAGE EXTREME SPREAD FOR SAMPLE 'A':";TAB(51);INT(1000*MA+.5)/1000:LPRINT" "
290 LPRINT"THE GROUPS IN SAMPLE 'B':"
300 FOR K=1 TO N
310 IF M1<M2 THEN LPRINT R(K); ELSE LPRINT L(K);
320 NEXT K
330 LPRINT" "
340 LPRINT"AVERAGE EXTREME SPREAD FOR SAMPLE 'B':";TAB(51);INT(1000*MB+.5)/1000:LPRINT" "
350 LPRINT"THE STATISTIC 'T' FOR THESE SAMPLES:";TAB(51);INT(1000*T+.5)/1000:LPRINT" "
360 LPRINT"PROBABILITY THAT 'A' IS MORE ACCURATE THAN 'B' (PCT):";TAB(60);PP;
370 IF PR>.99 THEN LPRINT"+"
380 LPRINT" ":LPRINT" "
390 PRINT "WHAT NEXT?"
400 PRINT "   1=SAME NUMBER OF GROUPS, SAME NUMBER OF SHOTS PER GROUP"
410 PRINT "   2=DIFFERENT NUMBER OF GROUPS, SAME NUMBER OF SHOTS PER GROUP"
420 PRINT "   3=DIFFERENT NUMBER OF GROUPS, DIFFERENT NUMBER OF SHOTS PER GROUP"
430 PRINT "   4=END THIS PROGRAM"
440 INPUT QP
450 IF QP=1 THEN CLS:GOTO 80
460 IF QP=2 THEN CLS:GOTO 70
470 IF QP=3 THEN CLS:GOTO 60
480 CLEAR:CLS:RUN "MENU.BAS"
490 REM *** ROUTINE TO PRODUCE CUMULATIVE T-DISTRIBUTION **
500 IF N=2 THEN PR=.5119641+.355102*T-9.469851E-02*T^2+8.565271E-03*T^3:RETURN
510 IF N=3 THEN PR=.5064701+.399187*T-.109986*T^2+.0100306*T^3:RETURN
520 IF N=4 THEN PR=.49464+.441559*T-.131424*T^2+.0130471*T^3:RETURN
530 IF N=5 THEN PR=.488626+.465505*T-.144708*T^2+.0151012*T^3:RETURN
540 IF N=6 THEN PR=.487085+.472943*T-.147892*T^2+.0154715*T^3:RETURN
550 IF N=7 THEN PR=.481362+.490886*T-.159558*T^2+.0175902*T^3:RETURN
560 IF N=8 THEN PR=.484707+.484639*T-.155319*T^2+.0167787*T^3:RETURN
570 IF N=9 OR N=10 THEN PR=.482459+.493074*T-.15917*T^2+.0172593*T^3:RETURN
580 IF N=11 OR N=12 THEN PR=.482693+.491112*T-.156921*T^2+.0166946*T^3:RETURN
590 IF N>12 AND N=<16 THEN PR=.480631+.5034361*T-.163799*T^2+.0177646*T^3:RETURN
600 IF N>16 THEN PR=.47942+.50981*T-.166233*T^2+.0179374*T^3:RETURN
610 REM *** ROUTINE TO FIND T ***
620 SA=CV*MA:REM STD DEV OF GROUPS IN SAMPLE A
630 EA=SA/SQR(N):REM STD ERROR OF MEAN MA
640 SB=CV*MB:REM STD DEV OF GROUPS IN SAMPLE B
650 EB=SB/SQR(N):REM STD ERROR OF MEAN MB
660 ED=SQR(EA^2+EB^2):REM STD ERROR OF DIFF (MA-MB)
670 T=(MA-MB)/ED:T=ABS(T)
680 RETURN
690 REM *** ROUTINE TO FIND AVERAGE EXTREME SPREADS ***
700 PRINT"ENTER THE GROUPS FOR THE FIRST SAMPLE."
710 FOR K=1 TO N
720 PRINT"NUMBER ";K;
730 INPUT S
740 GOSUB 1030
750 SS=SS+S
760 NEXT K
770 M1=SS/N:S=0:SS=0:PRINT" "
780 PRINT"ENTER THE GROUPS FOR THE SECOND SAMPLE"
790 FOR K=1 TO N
800 PRINT"NUMBER ";K;
810 INPUT S
820 GOSUB 1040
830 SS=SS+S
840 NEXT K
850 M2=SS/N:S=0:SS=0:PRINT" "
860 IF M1=>M2 THEN MA=M2:MB=M1
870 IF M1<M2 THEN MA=M1:MB=M2:PRINT""
880 PRINT"THE GROUPS IN SAMPLE 'A':"
890 FOR K=1 TO N
900 IF M1=>M2 THEN PRINT R(K); ELSE PRINT L(K);
910 NEXT K
920 PRINT" "
930 PRINT"THE AVERAGE EXTREME SPREAD FOR SAMPLE 'A' IS:";TAB(41);INT(1000*MA+.5)/1000:PRINT" "
940 PRINT"THE GROUPS IN SAMPLE 'B':"
950 FOR K=1 TO N
960 IF M1<M2 THEN PRINT R(K); ELSE PRINT L(K);
970 NEXT K
980 PRINT" "
990 PRINT"THE AVERAGE EXTREME SPREAD FOR SAMPLE 'B' IS:";TAB(41);INT(1000*MB+.5)/1000
1000 PRINT" "
1010 RETURN
1020 REM *** ACCUMULATOR FOR INDIVIDUAL GROUPS ***
1030 L(K)=S:RETURN
1040 R(K)=S:RETURN
